[arch-commits] Commit in postgresql/repos (16 files)
Dan McGee
dan at archlinux.org
Sat Oct 29 15:02:50 UTC 2016
Date: Saturday, October 29, 2016 @ 15:02:50
Author: dan
Revision: 279431
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
postgresql/repos/testing-i686/
postgresql/repos/testing-i686/PKGBUILD
(from rev 279430, postgresql/trunk/PKGBUILD)
postgresql/repos/testing-i686/postgresql-check-db-dir
(from rev 279430, postgresql/trunk/postgresql-check-db-dir)
postgresql/repos/testing-i686/postgresql-run-socket.patch
(from rev 279430, postgresql/trunk/postgresql-run-socket.patch)
postgresql/repos/testing-i686/postgresql.install
(from rev 279430, postgresql/trunk/postgresql.install)
postgresql/repos/testing-i686/postgresql.logrotate
(from rev 279430, postgresql/trunk/postgresql.logrotate)
postgresql/repos/testing-i686/postgresql.pam
(from rev 279430, postgresql/trunk/postgresql.pam)
postgresql/repos/testing-i686/postgresql.service
(from rev 279430, postgresql/trunk/postgresql.service)
postgresql/repos/testing-x86_64/
postgresql/repos/testing-x86_64/PKGBUILD
(from rev 279430, postgresql/trunk/PKGBUILD)
postgresql/repos/testing-x86_64/postgresql-check-db-dir
(from rev 279430, postgresql/trunk/postgresql-check-db-dir)
postgresql/repos/testing-x86_64/postgresql-run-socket.patch
(from rev 279430, postgresql/trunk/postgresql-run-socket.patch)
postgresql/repos/testing-x86_64/postgresql.install
(from rev 279430, postgresql/trunk/postgresql.install)
postgresql/repos/testing-x86_64/postgresql.logrotate
(from rev 279430, postgresql/trunk/postgresql.logrotate)
postgresql/repos/testing-x86_64/postgresql.pam
(from rev 279430, postgresql/trunk/postgresql.pam)
postgresql/repos/testing-x86_64/postgresql.service
(from rev 279430, postgresql/trunk/postgresql.service)
--------------------------------------------+
testing-i686/PKGBUILD | 158 +++++++++++++++++++++++++++
testing-i686/postgresql-check-db-dir | 49 ++++++++
testing-i686/postgresql-run-socket.patch | 12 ++
testing-i686/postgresql.install | 25 ++++
testing-i686/postgresql.logrotate | 4
testing-i686/postgresql.pam | 3
testing-i686/postgresql.service | 34 +++++
testing-x86_64/PKGBUILD | 158 +++++++++++++++++++++++++++
testing-x86_64/postgresql-check-db-dir | 49 ++++++++
testing-x86_64/postgresql-run-socket.patch | 12 ++
testing-x86_64/postgresql.install | 25 ++++
testing-x86_64/postgresql.logrotate | 4
testing-x86_64/postgresql.pam | 3
testing-x86_64/postgresql.service | 34 +++++
14 files changed, 570 insertions(+)
Copied: postgresql/repos/testing-i686/PKGBUILD (from rev 279430, postgresql/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,158 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgbase=postgresql
+pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
+pkgver=9.6.1
+_majorver=${pkgver%.*}
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.postgresql.org/"
+license=('custom:PostgreSQL')
+makedepends=('krb5' 'libxml2' 'python2' 'perl' 'tcl>=8.6.0' 'openssl>=1.0.0')
+source=(http://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
+ postgresql-run-socket.patch
+ postgresql.pam postgresql.logrotate
+ postgresql.service postgresql-check-db-dir)
+md5sums=('92ae6d7cdf18e648b3c22d0aa015565d'
+ '75c579eed03ffb2312631f0b649175b4'
+ '96f82c38f3f540b53f3e5144900acf17'
+ 'd28e443f9f65a5712c52018b84e27137'
+ '5a7933453a572bbe12320b088272ee71'
+ '937eec7aabce171bc9d1eab65c560bcb')
+sha256sums=('e5101e0a49141fc12a7018c6dad594694d3a3325f5ab71e93e0e51bd94e51fcd'
+ '8538619cb8bea51078b605ad64fe22abd6050373c7ae3ad6595178da52f6a7d9'
+ '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
+ '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
+ 'b48fe97f8e43ed0d2041d519119a4dafb70fcae72870951bf4fb7350fe169ac8'
+ '20a8716745ff3690275ff088ea394d397063d4c5e159ca26d0d91462146bc74b')
+
+build() {
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ patch -Np1 < ../postgresql-run-socket.patch
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --datadir=/usr/share/postgresql \
+ --sysconfdir=/etc \
+ --with-gssapi \
+ --with-libxml \
+ --with-openssl \
+ --with-perl \
+ --with-python PYTHON=/usr/bin/python2 \
+ --with-tcl \
+ --with-pam \
+ --with-system-tzdata=/usr/share/zoneinfo \
+ --with-uuid=e2fs \
+ --enable-nls \
+ --enable-thread-safety
+
+ make world
+}
+
+package_postgresql-libs() {
+ pkgdesc="Libraries for use with PostgreSQL"
+ depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0')
+ provides=('postgresql-client')
+ conflicts=('postgresql-client')
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-libs/LICENSE"
+
+ # install libs and non-server binaries
+ for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+ make -C ${dir} DESTDIR="${pkgdir}" install
+ done
+
+ for util in pg_config pg_dump pg_dumpall pg_restore psql \
+ clusterdb createdb createlang createuser dropdb droplang dropuser pg_isready reindexdb vacuumdb; do
+ install -D -m644 doc/src/sgml/man1/${util}.1 "${pkgdir}"/usr/share/man/man1/${util}.1
+ done
+
+ cd src/include
+
+ mkdir -p "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
+
+ # these headers are needed by the public headers of the interfaces
+ install -m644 pg_config.h "${pkgdir}/usr/include/"
+ install -m644 pg_config_os.h "${pkgdir}/usr/include/"
+ install -m644 pg_config_ext.h "${pkgdir}/usr/include/"
+ install -m644 postgres_ext.h "${pkgdir}/usr/include/"
+ install -m644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq/"
+ install -m644 pg_config_manual.h "${pkgdir}/usr/include/"
+
+ # these headers are needed by the not-so-public headers of the interfaces
+ install -m644 c.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 port.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq/"
+}
+
+package_postgresql-docs() {
+ pkgdesc="HTML documentation for PostgreSQL"
+ options=('docs')
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-docs/LICENSE"
+
+ make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
+ chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html/"
+
+ # clean up
+ rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
+ rmdir "${pkgdir}"/usr/share/man
+}
+
+package_postgresql() {
+ pkgdesc="A sophisticated object-relational DBMS"
+ backup=('etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+ depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0' 'pam')
+ optdepends=('python2: for PL/Python support'
+ 'perl: for PL/Perl support'
+ 'tcl: for PL/Tcl support'
+ 'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
+ options=('staticlibs')
+ install=postgresql.install
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install
+ make DESTDIR="${pkgdir}" install
+ make -C contrib DESTDIR="${pkgdir}" install
+ make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
+
+ # we don't want these, they are in the -libs package
+ for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+ make -C ${dir} DESTDIR="${pkgdir}" uninstall
+ done
+ for util in pg_config pg_dump pg_dumpall pg_restore psql \
+ clusterdb createdb createlang createuser dropdb droplang dropuser pg_isready reindexdb vacuumdb; do
+ rm "${pkgdir}"/usr/share/man/man1/${util}.1
+ done
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgbase}/LICENSE"
+
+ # clean up unneeded installed items
+ rm -rf "${pkgdir}/usr/include/postgresql/internal"
+ rm -rf "${pkgdir}/usr/include/libpq"
+ find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
+ rmdir "${pkgdir}/usr/share/doc/postgresql/html"
+
+ install -D -m644 "${srcdir}/postgresql.service" \
+ "${pkgdir}/usr/lib/systemd/system/postgresql.service"
+ install -D -m755 "${srcdir}/postgresql-check-db-dir" \
+ "${pkgdir}/usr/bin/postgresql-check-db-dir"
+
+ install -D -m644 "${srcdir}/postgresql.pam" \
+ "${pkgdir}/etc/pam.d/postgresql"
+
+ install -D -m644 "${srcdir}/postgresql.logrotate" \
+ "${pkgdir}/etc/logrotate.d/postgresql"
+}
Copied: postgresql/repos/testing-i686/postgresql-check-db-dir (from rev 279430, postgresql/trunk/postgresql-check-db-dir)
===================================================================
--- testing-i686/postgresql-check-db-dir (rev 0)
+++ testing-i686/postgresql-check-db-dir 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script verifies that the postgresql data directory has been correctly
+# initialized. We do not want to automatically initdb it, because that has
+# a risk of catastrophic failure (ie, overwriting a valuable database) in
+# corner cases, such as a remotely mounted database on a volume that's a
+# bit slow to mount. But we can at least emit a message advising newbies
+# what to do.
+
+PGDATA="$1"
+
+if [ -z "$PGDATA" ]
+then
+ echo "Usage: $0 database-path"
+ exit 1
+fi
+
+# PGMAJORVERSION is major version
+PGMAJORVERSION=9.5
+# PREVMAJORVERSION is the previous major version, e.g., 8.4, for upgrades
+PREVMAJORVERSION=9.4
+
+# Check for the PGDATA structure
+if [ -f "$PGDATA/PG_VERSION" ] && [ -d "$PGDATA/base" ]
+then
+ # Check version of existing PGDATA
+ if [ x`cat "$PGDATA/PG_VERSION"` = x"$PGMAJORVERSION" ]
+ then
+ : A-OK
+ elif [ x`cat "$PGDATA/PG_VERSION"` = x"$PREVMAJORVERSION" ]
+ then
+ echo $"An old version of the database format was found."
+ echo $"See https://wiki.archlinux.org/index.php/PostgreSQL#Upgrading_PostgreSQL"
+ exit 1
+ else
+ echo $"An old version of the database format was found."
+ echo $"You need to dump and reload before using PostgreSQL $PGMAJORVERSION."
+ echo $"See http://www.postgresql.org/docs/$PGMAJORVERSION/static/upgrading.html"
+ exit 1
+ fi
+else
+ # No existing PGDATA! Warn the user to initdb it.
+ echo $"\"$PGDATA\" is missing or empty. Use a command like"
+ echo $" su - postgres -c \"initdb --locale en_US.UTF-8 -D '$PGDATA'\""
+ echo $"with relevant options, to initialize the database cluster."
+ exit 1
+fi
+
+exit 0
Copied: postgresql/repos/testing-i686/postgresql-run-socket.patch (from rev 279430, postgresql/trunk/postgresql-run-socket.patch)
===================================================================
--- testing-i686/postgresql-run-socket.patch (rev 0)
+++ testing-i686/postgresql-run-socket.patch 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,12 @@
+diff -Naur postgresql-9.2.0.sockets/src/include/pg_config_manual.h postgresql-9.2.0/src/include/pg_config_manual.h
+--- postgresql-9.2.0.sockets/src/include/pg_config_manual.h 2012-09-06 17:26:17.000000000 -0400
++++ postgresql-9.2.0/src/include/pg_config_manual.h 2012-09-06 18:13:18.183092471 -0400
+@@ -144,7 +144,7 @@
+ * here's where to twiddle it. You can also override this at runtime
+ * with the postmaster's -k switch.
+ */
+-#define DEFAULT_PGSOCKET_DIR "/tmp"
++#define DEFAULT_PGSOCKET_DIR "/run/postgresql"
+
+ /*
+ * The random() function is expected to yield values between 0 and
Copied: postgresql/repos/testing-i686/postgresql.install (from rev 279430, postgresql/trunk/postgresql.install)
===================================================================
--- testing-i686/postgresql.install (rev 0)
+++ testing-i686/postgresql.install 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,25 @@
+post_install() {
+ if [ ! -d '/var/lib/postgres' ]; then
+ mkdir -p '/var/lib/postgres'
+ fi
+ if ! getent group postgres >/dev/null; then
+ groupadd -g 88 postgres
+ fi
+ if ! getent passwd postgres >/dev/null; then
+ useradd -c 'PostgreSQL user' -u 88 -g postgres -d '/var/lib/postgres' -s /bin/bash postgres
+ passwd -l postgres >/dev/null
+ fi
+ if [ ! -d '/var/lib/postgres/data' ]; then
+ mkdir -p '/var/lib/postgres/data'
+ chown postgres:postgres '/var/lib/postgres/data'
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+ # FS#23858, fix postgres user shell issue
+ postgres_shell=$(getent passwd postgres | cut -d: -f7)
+ if [ "$postgres_shell" = "/sbin/nologin" ]; then
+ chsh -s /bin/bash postgres
+ fi
+}
Copied: postgresql/repos/testing-i686/postgresql.logrotate (from rev 279430, postgresql/trunk/postgresql.logrotate)
===================================================================
--- testing-i686/postgresql.logrotate (rev 0)
+++ testing-i686/postgresql.logrotate 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+ copytruncate
+ missingok
+}
Copied: postgresql/repos/testing-i686/postgresql.pam (from rev 279430, postgresql/trunk/postgresql.pam)
===================================================================
--- testing-i686/postgresql.pam (rev 0)
+++ testing-i686/postgresql.pam 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,3 @@
+auth required pam_unix.so
+account required pam_unix.so
+session required pam_unix.so
Copied: postgresql/repos/testing-i686/postgresql.service (from rev 279430, postgresql/trunk/postgresql.service)
===================================================================
--- testing-i686/postgresql.service (rev 0)
+++ testing-i686/postgresql.service 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,34 @@
+[Unit]
+Description=PostgreSQL database server
+After=network.target
+
+[Service]
+Type=forking
+TimeoutSec=120
+User=postgres
+Group=postgres
+
+Environment=PGROOT=/var/lib/postgres
+
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+RuntimeDirectory=postgresql
+RuntimeDirectoryMode=755
+
+ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data
+ExecStart= /usr/bin/pg_ctl -s -D ${PGROOT}/data start -w -t 120
+ExecReload=/usr/bin/pg_ctl -s -D ${PGROOT}/data reload
+ExecStop= /usr/bin/pg_ctl -s -D ${PGROOT}/data stop -m fast
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres, so adjust it downward
+OOMScoreAdjust=-200
+
+# Additional security-related features
+PrivateTmp=true
+ProtectHome=true
+ProtectSystem=full
+NoNewPrivileges=true
+
+[Install]
+WantedBy=multi-user.target
Copied: postgresql/repos/testing-x86_64/PKGBUILD (from rev 279430, postgresql/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,158 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgbase=postgresql
+pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
+pkgver=9.6.1
+_majorver=${pkgver%.*}
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.postgresql.org/"
+license=('custom:PostgreSQL')
+makedepends=('krb5' 'libxml2' 'python2' 'perl' 'tcl>=8.6.0' 'openssl>=1.0.0')
+source=(http://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
+ postgresql-run-socket.patch
+ postgresql.pam postgresql.logrotate
+ postgresql.service postgresql-check-db-dir)
+md5sums=('92ae6d7cdf18e648b3c22d0aa015565d'
+ '75c579eed03ffb2312631f0b649175b4'
+ '96f82c38f3f540b53f3e5144900acf17'
+ 'd28e443f9f65a5712c52018b84e27137'
+ '5a7933453a572bbe12320b088272ee71'
+ '937eec7aabce171bc9d1eab65c560bcb')
+sha256sums=('e5101e0a49141fc12a7018c6dad594694d3a3325f5ab71e93e0e51bd94e51fcd'
+ '8538619cb8bea51078b605ad64fe22abd6050373c7ae3ad6595178da52f6a7d9'
+ '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
+ '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
+ 'b48fe97f8e43ed0d2041d519119a4dafb70fcae72870951bf4fb7350fe169ac8'
+ '20a8716745ff3690275ff088ea394d397063d4c5e159ca26d0d91462146bc74b')
+
+build() {
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ patch -Np1 < ../postgresql-run-socket.patch
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --datadir=/usr/share/postgresql \
+ --sysconfdir=/etc \
+ --with-gssapi \
+ --with-libxml \
+ --with-openssl \
+ --with-perl \
+ --with-python PYTHON=/usr/bin/python2 \
+ --with-tcl \
+ --with-pam \
+ --with-system-tzdata=/usr/share/zoneinfo \
+ --with-uuid=e2fs \
+ --enable-nls \
+ --enable-thread-safety
+
+ make world
+}
+
+package_postgresql-libs() {
+ pkgdesc="Libraries for use with PostgreSQL"
+ depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0')
+ provides=('postgresql-client')
+ conflicts=('postgresql-client')
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-libs/LICENSE"
+
+ # install libs and non-server binaries
+ for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+ make -C ${dir} DESTDIR="${pkgdir}" install
+ done
+
+ for util in pg_config pg_dump pg_dumpall pg_restore psql \
+ clusterdb createdb createlang createuser dropdb droplang dropuser pg_isready reindexdb vacuumdb; do
+ install -D -m644 doc/src/sgml/man1/${util}.1 "${pkgdir}"/usr/share/man/man1/${util}.1
+ done
+
+ cd src/include
+
+ mkdir -p "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
+
+ # these headers are needed by the public headers of the interfaces
+ install -m644 pg_config.h "${pkgdir}/usr/include/"
+ install -m644 pg_config_os.h "${pkgdir}/usr/include/"
+ install -m644 pg_config_ext.h "${pkgdir}/usr/include/"
+ install -m644 postgres_ext.h "${pkgdir}/usr/include/"
+ install -m644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq/"
+ install -m644 pg_config_manual.h "${pkgdir}/usr/include/"
+
+ # these headers are needed by the not-so-public headers of the interfaces
+ install -m644 c.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 port.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal/"
+ install -m644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq/"
+}
+
+package_postgresql-docs() {
+ pkgdesc="HTML documentation for PostgreSQL"
+ options=('docs')
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-docs/LICENSE"
+
+ make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
+ chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html/"
+
+ # clean up
+ rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
+ rmdir "${pkgdir}"/usr/share/man
+}
+
+package_postgresql() {
+ pkgdesc="A sophisticated object-relational DBMS"
+ backup=('etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+ depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0' 'pam')
+ optdepends=('python2: for PL/Python support'
+ 'perl: for PL/Perl support'
+ 'tcl: for PL/Tcl support'
+ 'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
+ options=('staticlibs')
+ install=postgresql.install
+
+ cd "${srcdir}/postgresql-${pkgver}"
+
+ # install
+ make DESTDIR="${pkgdir}" install
+ make -C contrib DESTDIR="${pkgdir}" install
+ make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
+
+ # we don't want these, they are in the -libs package
+ for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+ make -C ${dir} DESTDIR="${pkgdir}" uninstall
+ done
+ for util in pg_config pg_dump pg_dumpall pg_restore psql \
+ clusterdb createdb createlang createuser dropdb droplang dropuser pg_isready reindexdb vacuumdb; do
+ rm "${pkgdir}"/usr/share/man/man1/${util}.1
+ done
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgbase}/LICENSE"
+
+ # clean up unneeded installed items
+ rm -rf "${pkgdir}/usr/include/postgresql/internal"
+ rm -rf "${pkgdir}/usr/include/libpq"
+ find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
+ rmdir "${pkgdir}/usr/share/doc/postgresql/html"
+
+ install -D -m644 "${srcdir}/postgresql.service" \
+ "${pkgdir}/usr/lib/systemd/system/postgresql.service"
+ install -D -m755 "${srcdir}/postgresql-check-db-dir" \
+ "${pkgdir}/usr/bin/postgresql-check-db-dir"
+
+ install -D -m644 "${srcdir}/postgresql.pam" \
+ "${pkgdir}/etc/pam.d/postgresql"
+
+ install -D -m644 "${srcdir}/postgresql.logrotate" \
+ "${pkgdir}/etc/logrotate.d/postgresql"
+}
Copied: postgresql/repos/testing-x86_64/postgresql-check-db-dir (from rev 279430, postgresql/trunk/postgresql-check-db-dir)
===================================================================
--- testing-x86_64/postgresql-check-db-dir (rev 0)
+++ testing-x86_64/postgresql-check-db-dir 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script verifies that the postgresql data directory has been correctly
+# initialized. We do not want to automatically initdb it, because that has
+# a risk of catastrophic failure (ie, overwriting a valuable database) in
+# corner cases, such as a remotely mounted database on a volume that's a
+# bit slow to mount. But we can at least emit a message advising newbies
+# what to do.
+
+PGDATA="$1"
+
+if [ -z "$PGDATA" ]
+then
+ echo "Usage: $0 database-path"
+ exit 1
+fi
+
+# PGMAJORVERSION is major version
+PGMAJORVERSION=9.5
+# PREVMAJORVERSION is the previous major version, e.g., 8.4, for upgrades
+PREVMAJORVERSION=9.4
+
+# Check for the PGDATA structure
+if [ -f "$PGDATA/PG_VERSION" ] && [ -d "$PGDATA/base" ]
+then
+ # Check version of existing PGDATA
+ if [ x`cat "$PGDATA/PG_VERSION"` = x"$PGMAJORVERSION" ]
+ then
+ : A-OK
+ elif [ x`cat "$PGDATA/PG_VERSION"` = x"$PREVMAJORVERSION" ]
+ then
+ echo $"An old version of the database format was found."
+ echo $"See https://wiki.archlinux.org/index.php/PostgreSQL#Upgrading_PostgreSQL"
+ exit 1
+ else
+ echo $"An old version of the database format was found."
+ echo $"You need to dump and reload before using PostgreSQL $PGMAJORVERSION."
+ echo $"See http://www.postgresql.org/docs/$PGMAJORVERSION/static/upgrading.html"
+ exit 1
+ fi
+else
+ # No existing PGDATA! Warn the user to initdb it.
+ echo $"\"$PGDATA\" is missing or empty. Use a command like"
+ echo $" su - postgres -c \"initdb --locale en_US.UTF-8 -D '$PGDATA'\""
+ echo $"with relevant options, to initialize the database cluster."
+ exit 1
+fi
+
+exit 0
Copied: postgresql/repos/testing-x86_64/postgresql-run-socket.patch (from rev 279430, postgresql/trunk/postgresql-run-socket.patch)
===================================================================
--- testing-x86_64/postgresql-run-socket.patch (rev 0)
+++ testing-x86_64/postgresql-run-socket.patch 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,12 @@
+diff -Naur postgresql-9.2.0.sockets/src/include/pg_config_manual.h postgresql-9.2.0/src/include/pg_config_manual.h
+--- postgresql-9.2.0.sockets/src/include/pg_config_manual.h 2012-09-06 17:26:17.000000000 -0400
++++ postgresql-9.2.0/src/include/pg_config_manual.h 2012-09-06 18:13:18.183092471 -0400
+@@ -144,7 +144,7 @@
+ * here's where to twiddle it. You can also override this at runtime
+ * with the postmaster's -k switch.
+ */
+-#define DEFAULT_PGSOCKET_DIR "/tmp"
++#define DEFAULT_PGSOCKET_DIR "/run/postgresql"
+
+ /*
+ * The random() function is expected to yield values between 0 and
Copied: postgresql/repos/testing-x86_64/postgresql.install (from rev 279430, postgresql/trunk/postgresql.install)
===================================================================
--- testing-x86_64/postgresql.install (rev 0)
+++ testing-x86_64/postgresql.install 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,25 @@
+post_install() {
+ if [ ! -d '/var/lib/postgres' ]; then
+ mkdir -p '/var/lib/postgres'
+ fi
+ if ! getent group postgres >/dev/null; then
+ groupadd -g 88 postgres
+ fi
+ if ! getent passwd postgres >/dev/null; then
+ useradd -c 'PostgreSQL user' -u 88 -g postgres -d '/var/lib/postgres' -s /bin/bash postgres
+ passwd -l postgres >/dev/null
+ fi
+ if [ ! -d '/var/lib/postgres/data' ]; then
+ mkdir -p '/var/lib/postgres/data'
+ chown postgres:postgres '/var/lib/postgres/data'
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+ # FS#23858, fix postgres user shell issue
+ postgres_shell=$(getent passwd postgres | cut -d: -f7)
+ if [ "$postgres_shell" = "/sbin/nologin" ]; then
+ chsh -s /bin/bash postgres
+ fi
+}
Copied: postgresql/repos/testing-x86_64/postgresql.logrotate (from rev 279430, postgresql/trunk/postgresql.logrotate)
===================================================================
--- testing-x86_64/postgresql.logrotate (rev 0)
+++ testing-x86_64/postgresql.logrotate 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+ copytruncate
+ missingok
+}
Copied: postgresql/repos/testing-x86_64/postgresql.pam (from rev 279430, postgresql/trunk/postgresql.pam)
===================================================================
--- testing-x86_64/postgresql.pam (rev 0)
+++ testing-x86_64/postgresql.pam 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,3 @@
+auth required pam_unix.so
+account required pam_unix.so
+session required pam_unix.so
Copied: postgresql/repos/testing-x86_64/postgresql.service (from rev 279430, postgresql/trunk/postgresql.service)
===================================================================
--- testing-x86_64/postgresql.service (rev 0)
+++ testing-x86_64/postgresql.service 2016-10-29 15:02:50 UTC (rev 279431)
@@ -0,0 +1,34 @@
+[Unit]
+Description=PostgreSQL database server
+After=network.target
+
+[Service]
+Type=forking
+TimeoutSec=120
+User=postgres
+Group=postgres
+
+Environment=PGROOT=/var/lib/postgres
+
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+RuntimeDirectory=postgresql
+RuntimeDirectoryMode=755
+
+ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data
+ExecStart= /usr/bin/pg_ctl -s -D ${PGROOT}/data start -w -t 120
+ExecReload=/usr/bin/pg_ctl -s -D ${PGROOT}/data reload
+ExecStop= /usr/bin/pg_ctl -s -D ${PGROOT}/data stop -m fast
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres, so adjust it downward
+OOMScoreAdjust=-200
+
+# Additional security-related features
+PrivateTmp=true
+ProtectHome=true
+ProtectSystem=full
+NoNewPrivileges=true
+
+[Install]
+WantedBy=multi-user.target
More information about the arch-commits
mailing list